POSTs a request when the employee object has been updated in the Zeal dashboard.
This endpoint specifies what will be sent to your Employee Webhook. Zeal POSTs a request containing an The Employee Object when it has been updated in the dashboard. You can update and test the webhook URL you want Zeal to hit on the ‘API’ Page of the Zeal Dashboard.
{"docsConfig":{"theme":"luma","$schema":"https://mintlify.com/docs.json","name":"Zeal Docs","colors":{"primary":"#31834c","light":"#b9b9b9","dark":"#787878"},"logo":{"light":"https://mintcdn.com/zeal-9a4b7c2b/I-SD668Cl_K1ihDn/images/logo-black.svg?fit=max\u0026auto=format\u0026n=I-SD668Cl_K1ihDn\u0026q=85\u0026s=d1d1cd04479773115dd71a29ee95fc11","dark":"https://mintcdn.com/zeal-9a4b7c2b/I-SD668Cl_K1ihDn/images/logo-white.svg?fit=max\u0026auto=format\u0026n=I-SD668Cl_K1ihDn\u0026q=85\u0026s=2fce1058f567fba77a494bbc07ce2a4c"},"favicon":"https://mintcdn.com/zeal-9a4b7c2b/uqmOvSoRkvLRltR4/images/favicon.png?fit=max\u0026auto=format\u0026n=uqmOvSoRkvLRltR4\u0026q=85\u0026s=c2aa2cd39741acd9c1e2a38fd09433b7","navbar":{"primary":{"type":"button","label":"Get Started","href":"https://app.zeal.com"}},"fonts":{"family":"Inter"},"integrations":{"ga4":{"measurementId":"G-BNRZ1K77J0"}},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"zeal-9a4b7c2b","hasAudioNarration":false,"actualSubdomain":"zeal-9a4b7c2b","customDomains":["docs.zeal.com"],"gitSource":{"type":"github","owner":"zeal-corp","repo":"mono","deployBranch":"main","contentDirectory":"services/la-forge/docs","isPrivate":true,"mountPath":"","label":""},"chroma":{"collectionId":"ee24fe4c-e88a-440c-8244-967f0e1407ac","liveDeploymentHistoryId":"6ad783f7b133bee4347bb7ce","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ad783f7b133bee4347bb7ce"},"feedback":{"agentFeedback":true},"entitlements":{"AI_CHAT":{"status":"DISABLED"}},"buildId":"6ad783f7b133bee4347bb7ce","clientVersion":"0.0.3926","searchFilterCounts":[{"language":"default","tag":"API Reference","count":222},{"language":"default","tag":"Employee Checks","count":37},{"language":"default","tag":"Documentation","count":34},{"language":"default","tag":"Webhooks","count":27},{"language":"default","tag":"Employee Onboarding","count":19},{"language":"default","tag":"Pay","count":16},{"language":"default","tag":"Embedded HR","count":13},{"language":"default","tag":"Reports","count":13},{"language":"default","tag":"Deductions","count":11},{"language":"default","tag":"Payroll","count":10}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableContextualStarterQuestions":false,"enableAskAiSearchBar":true},"hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"privacy":{"consentBanner":{"enabled":true}},"isAtlas":false,"googleFontsInlined":false},"customCss":[{"filePath":"custom.css","content":"@media (min-width:1024px){#sidebar-content{width:300px!important}#body-content{padding-left:300px!important}#content-area{margin-left:0!important}}@media (min-width:1280px){#content-side-layout{margin-left:1.5rem}}@media (min-width:1024px){#content-area{max-width:800px!important}}@media (min-width:1620px){#sidebar-content{left:calc((100vw - 1620px)/2)!important}#body-content{padding-left:calc(300px + (100vw - 1620px)/2)!important}#content-container{max-width:1320px!important}}"}],"page":{"pagePath":"reference/webhooks/employee-event","slug":"/reference/webhooks/employee-event","pageMetadata":{"title":"Employee Event","sidebarTitle":"Employee Event","description":"POSTs a request when the employee object has been updated in the Zeal dashboard.","href":"/reference/webhooks/employee-event"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"POSTs a request when the employee object has been updated in the Zeal dashboard.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,hr:`hr`,p:`p`,pre:`pre`,span:`span`,tbody:`tbody`,td:`td`,th:`th`,thead:`thead`,tr:`tr`,..._provideComponents(),...props.components},{CodeBlock,Heading,Table}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!Table)_missingMdxReference(`Table`,true);return _jsxs(_Fragment,{children:[_jsxs(_components.p,{children:[`This endpoint specifies what will be sent to your Employee Webhook. Zeal POSTs a request containing an `,_jsx(_components.a,{href:`/reference/employees/the-employee-object`,children:`The Employee Object`}),` when it has been updated in the dashboard. You can update and test the webhook URL you want Zeal to hit on the ‘API’ Page of the Zeal Dashboard.`]}),`\n`,_jsx(_components.hr,{}),`\n`,_jsx(Heading,{level:`2`,id:`request-body`,children:`Request Body`}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`attribute`}),_jsx(_components.th,{children:`type`}),_jsx(_components.th,{children:`description`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`test`}),_jsx(_components.td,{children:`boolean`}),_jsx(_components.td,{children:`Whether the employee was updated in Test Mode`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`type`}),_jsx(_components.td,{children:`string`}),_jsxs(_components.td,{children:[`The operation that was applied to this employee `,_jsx(_components.code,{children:`update`})]})]})]})]}),`\n`,_jsxs(_components.p,{children:[`Other `,_jsx(_components.a,{href:`/reference/employees/the-employee-object`,children:`The Employee Object`}),` fields.`]}),`\n`,_jsx(_components.hr,{}),`\n`,_jsx(Heading,{level:`2`,id:`returns`,children:`Returns`}),`\n`,_jsx(_components.p,{children:`Doesn’t return anything but rather POSTs the updated or deleted Employee Object to the webhook URL.`}),`\n`,_jsx(_components.hr,{}),`\n`,_jsx(Heading,{level:`2`,id:`raw-content-example`,children:`Raw Content Example`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`35`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`35`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"update\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"test\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`true`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"companyID\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"083472985\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"employeeID\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"1234567890\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"onboarded\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`true`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"employment_status\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"live\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"benefits_class\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Full-Time\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"first_name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Erlich\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"middle_initial\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"A\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"last_name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Bachman\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"dob\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"1990-01-01\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"start_date\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2023-05-01T20:46:27.961Z\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"term_date\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`null`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"ssn\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"123456789\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"phone_number\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"+13456778934\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"email\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"test@demo.com\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"title\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Manager\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"workLocationID\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"123456789012345\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"address\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"1 Market St.\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"address_line2\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`null`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"city\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"San Francisco\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"state\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"CA\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"zip\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"94105\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"default_pay_schedule\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"daily\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"default_wage\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`20`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"default_ot_wage\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`30`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"default_dt_wage\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`40`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"is_943\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`false`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"is_scheduleH\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`false`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"metadata\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {},`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"business_name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Test Company\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"timestamp\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2024-01-21T21:29:42Z\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"instant_pay_enabled\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`true`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Employee Event","sidebarTitle":"Employee Event","description":"POSTs a request when the employee object has been updated in the Zeal dashboard.","href":"/reference/webhooks/employee-event"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[{"title":"Request Body","slug":"request-body","depth":2,"children":[]},{"title":"Returns","slug":"returns","depth":2,"children":[]},{"title":"Raw Content Example","slug":"raw-content-example","depth":2,"children":[]}],"codeExamples":{}},"jsLinks":[],"subdomain":"zeal-9a4b7c2b","siteName":"Zeal Docs","title":"Employee Event - Zeal Docs","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-10-14T00:33:12.868Z","originalFileLocation":"reference/webhooks/employee-event.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"POSTs a request when the employee object has been updated in the Zeal dashboard.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Zeal Docs\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/zeal-9a4b7c2b/AJq1b2MrV6vpeXyJ/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/zeal-9a4b7c2b/AJq1b2MrV6vpeXyJ/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/zeal-9a4b7c2b/AJq1b2MrV6vpeXyJ/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/zeal-9a4b7c2b/AJq1b2MrV6vpeXyJ/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/zeal-9a4b7c2b/AJq1b2MrV6vpeXyJ/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/zeal-9a4b7c2b/AJq1b2MrV6vpeXyJ/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/zeal-9a4b7c2b/AJq1b2MrV6vpeXyJ/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/zeal-9a4b7c2b/AJq1b2MrV6vpeXyJ/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/zeal-9a4b7c2b/AJq1b2MrV6vpeXyJ/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Employee Event - Zeal Docs\">\u003cmeta data-mint-head property=\"og:description\" content=\"POSTs a request when the employee object has been updated in the Zeal dashboard.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Zeal Docs\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.zeal.com/reference/webhooks/employee-event\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://zeal-9a4b7c2b.mintlify.app/_mintlify/api/og/v2?division=Webhooks\u0026amp;title=Employee+Event\u0026amp;description=POSTs+a+request+when+the+employee+object+has+been+updated+in+the+Zeal+dashboard.\u0026amp;theme=82f77b2b5dc56d00c47edb08\u0026amp;signature=aaaa537ee76a7d4773a80b081aa9a0f1d6178e48c8084594ed27be2e70123984\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Employee Event - Zeal Docs\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"POSTs a request when the employee object has been updated in the Zeal dashboard.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://zeal-9a4b7c2b.mintlify.app/_mintlify/api/og/v2?division=Webhooks\u0026amp;title=Employee+Event\u0026amp;description=POSTs+a+request+when+the+employee+object+has+been+updated+in+the+Zeal+dashboard.\u0026amp;theme=82f77b2b5dc56d00c47edb08\u0026amp;signature=aaaa537ee76a7d4773a80b081aa9a0f1d6178e48c8084594ed27be2e70123984\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/zeal-9a4b7c2b/AJq1b2MrV6vpeXyJ/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Zeal Docs\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#31834c\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.zeal.com/reference/webhooks/employee-event\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/reference/webhooks/employee-event.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.zeal.com/#organization\",\"name\":\"Zeal Docs\",\"url\":\"https://docs.zeal.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/zeal-9a4b7c2b/I-SD668Cl_K1ihDn/images/logo-black.svg?fit=max\u0026auto=format\u0026n=I-SD668Cl_K1ihDn\u0026q=85\u0026s=d1d1cd04479773115dd71a29ee95fc11\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.zeal.com#website\",\"name\":\"Zeal Docs\",\"url\":\"https://docs.zeal.com\",\"publisher\":{\"@id\":\"https://docs.zeal.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.zeal.com/reference/webhooks/employee-event#webpage\",\"url\":\"https://docs.zeal.com/reference/webhooks/employee-event\",\"name\":\"Employee Event\",\"description\":\"POSTs a request when the employee object has been updated in the Zeal dashboard.\",\"dateModified\":\"2026-10-14T00:33:12.868Z\",\"isPartOf\":{\"@id\":\"https://docs.zeal.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.zeal.com/reference/webhooks/employee-event#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.zeal.com/reference/webhooks/employee-event#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Webhooks\",\"item\":\"https://docs.zeal.com/reference/webhooks/what-are-zeal-webhooks\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Employee Event\",\"item\":\"https://docs.zeal.com/reference/webhooks/employee-event\"}]},{\"@type\":[\"Article\",\"TechArticle\"],\"@id\":\"https://docs.zeal.com/reference/webhooks/employee-event#article\",\"headline\":\"Employee Event\",\"name\":\"Employee Event\",\"description\":\"POSTs a request when the employee object has been updated in the Zeal dashboard.\",\"url\":\"https://docs.zeal.com/reference/webhooks/employee-event\",\"mainEntityOfPage\":{\"@id\":\"https://docs.zeal.com/reference/webhooks/employee-event#webpage\"},\"dateModified\":\"2026-10-14T00:33:12.868Z\",\"publisher\":{\"@id\":\"https://docs.zeal.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.zeal.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Zeal Docs\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Zeal Docs","nav":{"global":null,"tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":"/docs/what-is-zeal"}]},{"tab":"API Reference","groups":[{"group":"Introduction","pages":[{"title":"Introduction","sidebarTitle":"Introduction","href":"/reference/introduction/introduction"},{"title":"Authentication and Keys","sidebarTitle":"Authentication and Keys","href":"/reference/introduction/authentication-and-keys"},{"title":"Rate Limiting","sidebarTitle":"Rate Limiting","href":"/reference/introduction/rate-limiting"},{"title":"Idempotency","sidebarTitle":"Idempotency","href":"/reference/introduction/idempotency"},{"title":"Pagination","sidebarTitle":"Pagination","href":"/reference/introduction/pagination"},{"title":"Times and Dates","sidebarTitle":"Times and Dates","href":"/reference/introduction/times-and-dates"},{"title":"Pay Frequency, Reporting Periods and Check Dates","sidebarTitle":"Pay Frequency, Reporting Periods and Check Dates","href":"/reference/employee-checks/reporting-periods/pay-frequency-reporting-periods-and-check-dates"},{"title":"Early Access Endpoints","sidebarTitle":"Early Access Endpoints","href":"/reference/introduction/early-access-endpoints"},{"title":"Metadata","sidebarTitle":"Metadata","href":"/reference/introduction/metadata"},{"title":"Error Codes","sidebarTitle":"Error Codes","href":"/reference/introduction/error-codes"}]},{"group":"Webhooks","pages":[{"title":"What are Zeal Webhooks?","sidebarTitle":"What are Zeal Webhooks?","href":"/reference/webhooks/what-are-zeal-webhooks"},{"title":"Webhook Event Overview","sidebarTitle":"Webhook Event Overview","href":"/reference/webhooks/webhook-events"},{"title":"Create Employee Event","sidebarTitle":"Create Employee Event","href":"/reference/webhooks/create-employee-event"},{"title":"Company Onboarding Event","sidebarTitle":"Company Onboarding Event","href":"/reference/webhooks/company-onboarding-event"},{"title":"Company Event","sidebarTitle":"Company Event","href":"/reference/webhooks/company-event"},{"title":"Customer Account Onboarding Event","sidebarTitle":"Customer Account Onboarding Event","href":"/reference/webhooks/customer-account-onboarding-event"},{"title":"Customer Account Event","sidebarTitle":"Customer Account Event","href":"/reference/webhooks/customer-account-event"},{"title":"Employee Onboarding Event","sidebarTitle":"Employee Onboarding Event","description":"Details on the Employee Onboarding webhook event - when it fires, the full payload schema, and how to configure your receiving endpoint in Zeal.","href":"/reference/webhooks/employee-onboarding-event"},{"title":"Employee Event","sidebarTitle":"Employee Event","href":"/reference/webhooks/employee-event"},{"title":"Contractor Event","sidebarTitle":"Contractor Event","description":"Details on the Contractor Event webhook - when it fires, the full payload schema, and how to configure your receiving endpoint in the Partner Dashboard.","href":"/reference/webhooks/contractor-event-webhook"},{"title":"Employee Check Event","sidebarTitle":"Employee Check Event","href":"/reference/webhooks/employee-check-event"},{"title":"Contractor Payment Event","sidebarTitle":"Contractor Payment Event","href":"/reference/webhooks/contractor-payment-event"},{"title":"Shift Event","sidebarTitle":"Shift Event","href":"/reference/webhooks/shift-event"},{"title":"Employer Check Created Event","sidebarTitle":"Employer Check Created Event","href":"/reference/webhooks/employer-check-created-event"},{"title":"Employer Check Processed Event","sidebarTitle":"Employer Check Processed Event","href":"/reference/webhooks/employer-check-processed"},{"title":"Employer Check Processed Webhook Lite","sidebarTitle":"Employer Check Processed Webhook Lite","href":"/reference/webhooks/employer-check-processed-lite"},{"title":"Job Queue Event","sidebarTitle":"Job Queue Event","href":"/reference/webhooks/report-status-change-webhook"},{"title":"Employee I9 Update Event (Early Access)","sidebarTitle":"Employee I9 Update Event (Early Access)","href":"/reference/webhooks/employee-i9-update-event"},{"title":"Employee E-Verify Update Event (Early Access)","sidebarTitle":"Employee E-Verify Update Event (Early Access)","href":"/reference/webhooks/employee-e-verify-update-event"},{"title":"Employee Requirements Create Event","sidebarTitle":"Employee Requirements Create Event","href":"/reference/webhooks/employee-requirements-create-event"},{"title":"Employee Requirements Update Event","sidebarTitle":"Employee Requirements Update Event","href":"/reference/webhooks/employee-requirements-update-event"},{"title":"Paycard Onboarding Status Event (Early Access)","sidebarTitle":"Paycard Onboarding Status Event (Early Access)","href":"/reference/webhooks/paycard-onboarding-status-event"},{"title":"Instant Pay Wallet Transaction Event","sidebarTitle":"Instant Pay Wallet Transaction Event","href":"/reference/webhooks/instant-pay-wallet-transaction-event"},{"title":"Transaction Update Event","sidebarTitle":"Transaction Update Event","href":"/reference/webhooks/transaction-update-event"},{"title":"Paperwork Submission Event","sidebarTitle":"Paperwork Submission Event","href":"/reference/webhooks/paperwork-submission-event"},{"title":"Bank Account Event","sidebarTitle":"Bank Account Event","href":"/reference/webhooks/bank-account-event"},{"title":"Garnishment Event","sidebarTitle":"Garnishment Event","href":"/reference/webhooks/garnishment-event"}]},{"group":"Zeal Components","pages":[{"title":"Generate Company Taxes Page link","sidebarTitle":"Generate Company Taxes Page link","openapi":"openapi/zeal-api.json post /authLinks/taxes","href":"/reference/zeal-components/generate-company-taxes-page-link"},{"title":"Generate Company Login Link","sidebarTitle":"Generate Company Login Link","openapi":"openapi/zeal-api.json post /getAuthLink","href":"/reference/zeal-components/generate-company-login-link"},{"title":"Generate Employee or Contractor Dashboard Link","sidebarTitle":"Generate Employee or Contractor Dashboard Link","openapi":"openapi/auth-links.json post /getAuthLink","href":"/reference/zeal-components/generate-employee-contractor-dashboard-link"},{"title":"Generate Reports Link","sidebarTitle":"Generate Reports Link","openapi":"openapi/zeal-api.json post /authLinks/reports","href":"/reference/zeal-components/generate-reports-link"},{"title":"Get Paystub/Employee Check Link","sidebarTitle":"Get Paystub/Employee Check Link","openapi":"openapi/zeal-api.json get /paystubLink","href":"/reference/zeal-components/get-paystub-link"},{"title":"Get Contractor Payment Link","sidebarTitle":"Get Contractor Payment Link","openapi":"openapi/zeal-api.json get /paymentLink","href":"/reference/zeal-components/get-contractor-payment-link"},{"title":"Tax Requirements","sidebarTitle":"Tax Requirements","hidden":true,"href":"/reference/zeal-components/tax-requirements"}]},{"group":"Companies","pages":[{"title":"The Company Object","sidebarTitle":"The Company Object","href":"/reference/companies/the-company-object"},{"title":"The Requirement Object","sidebarTitle":"The Requirement Object","href":"/reference/companies/the-requirement-object"},{"title":"Create Company","sidebarTitle":"Create Company","openapi":"openapi/companies.json post /companies","href":"/reference/companies/create-company"},{"title":"Get Company Onboarding Link","sidebarTitle":"Get Company Onboarding Link","openapi":"openapi/companies.json get /companies/onboard","href":"/reference/companies/get-company-onboarding-link"},{"title":"Update Company Information","sidebarTitle":"Update Company Information","openapi":"openapi/companies.json patch /companies","href":"/reference/companies/update-company-info"},{"title":"Get Company Information","sidebarTitle":"Get Company Information","openapi":"openapi/companies.json get /companies","href":"/reference/companies/get-company-information"}]},{"group":"Company Onboarding","pages":[{"title":"Create Company Bank Account","sidebarTitle":"Create Company Bank Account","openapi":"openapi/zeal-api.json post /companies/bank","href":"/reference/company-onboarding/create-company-bank-account"},{"title":"Sign Company Authorization Documents","sidebarTitle":"Sign Company Authorization Documents","openapi":"openapi/zeal-api.json post /companies/authorization_documents","href":"/reference/company-onboarding/create-company-authorization-documents"},{"title":"Get Company Authorization Documents","sidebarTitle":"Get Company Authorization Documents","openapi":"openapi/zeal-api.json get /companies/authorization_documents","href":"/reference/company-onboarding/get-company-authorization-documents"},{"title":"Set Company Onboarded Status to True","sidebarTitle":"Set Company Onboarded Status to True","openapi":"openapi/zeal-api.json post /companies/onboardCompany","href":"/reference/company-onboarding/set-company-status-to-onboarded"},{"title":"Trigger Micro-Deposits","sidebarTitle":"Trigger Micro-Deposits","openapi":"openapi/zeal-api.json post /companies/microdeposits/trigger","href":"/reference/company-onboarding/trigger-microdeposits"},{"title":"Verify Microdeposit Values","sidebarTitle":"Verify Microdeposit Values","openapi":"openapi/zeal-api.json post /companies/microdeposits/verify","href":"/reference/company-onboarding/verify-microdeposit-values"}]},{"group":"Reserve Accounts","pages":[{"title":"Get Reserve Balance","sidebarTitle":"Get Reserve Balance","openapi":"openapi/zeal-api.json get /provider-accounts/balances","href":"/reference/provider-accounts/get-reserve-balance"}]},{"group":"Customer Accounts (Early Access)","pages":[{"title":"Customer Account Object","sidebarTitle":"Customer Account Object","href":"/reference/customer-accounts/customer-account-object"},{"title":"Create Customer Account","sidebarTitle":"Create Customer Account","openapi":"openapi/zeal-api.json post /customer-accounts","href":"/reference/customer-accounts/create-customer-account"},{"title":"Get All Customer Accounts","sidebarTitle":"Get All Customer Accounts","openapi":"openapi/zeal-api.json get /customer-accounts","href":"/reference/customer-accounts/get-all-customer-accounts"},{"title":"Get Customer Account","sidebarTitle":"Get Customer Account","openapi":"openapi/zeal-api.json get /customer-accounts/{customerAccountID}","href":"/reference/customer-accounts/get-customer-account"},{"title":"Update Customer Account","sidebarTitle":"Update Customer Account","openapi":"openapi/zeal-api.json patch /customer-accounts/{id}","href":"/reference/customer-accounts/update-customer-account"},{"title":"Generate Customer Account Onboarding Link","sidebarTitle":"Generate Customer Account Onboarding Link","openapi":"openapi/zeal-api.json post /customer-accounts/onboard","href":"/reference/customer-accounts/generate-customer-account-onboarding-link"},{"title":"Set Customer Account Onboarded To true","sidebarTitle":"Set Customer Account Onboarded To true","openapi":"openapi/zeal-api.json post /customer-accounts/{customerAccountID}/setOnboardedStatusToTrue","href":"/reference/customer-accounts/set-customer-account-onboarded-to-true"},{"title":"Trigger Microdeposits","sidebarTitle":"Trigger Microdeposits","openapi":"openapi/zeal-api.json post /customer-accounts/{customerAccountID}/trigger-micro-deposits","href":"/reference/customer-accounts/trigger-ca-microdeposits"},{"title":"Verify Microdeposits","sidebarTitle":"Verify Microdeposits","openapi":"openapi/zeal-api.json post /customer-accounts/{customerAccountID}/verify-micro-deposits","href":"/reference/customer-accounts/verify-microdeposits"},{"title":"Create Funding Source","sidebarTitle":"Create Funding Source","openapi":"openapi/zeal-api.json post /customer-accounts/{id}/funding-sources","href":"/reference/customer-accounts/create-funding-source"}]},{"group":"Taxable Locations","pages":[{"title":"Taxable Location Object","sidebarTitle":"Taxable Location Object","href":"/reference/taxable-locations/taxable-location-object"},{"title":"Resolve Taxable Location","sidebarTitle":"Resolve Taxable Location","openapi":"openapi/zeal-api.json post /taxableLocations","href":"/reference/taxable-locations/resolve-taxable-location"},{"title":"Get Taxable Location by ID","sidebarTitle":"Get Taxable Location by ID","openapi":"openapi/zeal-api.json get /taxableLocations","href":"/reference/taxable-locations/get-taxable-location-by-id"}]},{"group":"Work Locations","pages":[{"title":"Work Location Object","sidebarTitle":"Work Location Object","href":"/reference/work-locations/work-location-object"},{"title":"Create Work Location","sidebarTitle":"Create Work Location","openapi":"openapi/zeal-api.json post /workLocations","href":"/reference/work-locations/create-work-location"},{"title":"Get Work Locations","sidebarTitle":"Get Work Locations","openapi":"openapi/zeal-api.json get /workLocations","href":"/reference/work-locations/get-work-locations"},{"title":"Update Work Location","sidebarTitle":"Update Work Location","openapi":"openapi/zeal-api.json patch /workLocations","href":"/reference/work-locations/update-work-location"}]},{"group":"Employees","pages":[{"title":"The Employee Object","sidebarTitle":"The Employee Object","href":"/reference/employees/the-employee-object"},{"title":"Create Employee","sidebarTitle":"Create Employee","openapi":"openapi/zeal-api.json post /employees","href":"/reference/employees/create-employee"},{"title":"Update Employee Information","sidebarTitle":"Update Employee Information","openapi":"openapi/zeal-api.json patch /employees","href":"/reference/employees/update-employee-information"},{"title":"Get Employees","sidebarTitle":"Get Employees","openapi":"openapi/zeal-api.json get /employees","href":"/reference/employees/get-employees"},{"title":"Get Employee Information","sidebarTitle":"Get Employee Information","openapi":"openapi/zeal-api.json get /employees","href":"/reference/employees/get-employee-information"},{"title":"Employee Requirements Object","sidebarTitle":"Employee Requirements Object","href":"/reference/employees/employee-requirements-object"}]},{"group":"Employee Deduction Templates","pages":[{"title":"Create Employee Deduction Template","sidebarTitle":"Create Employee Deduction Template","openapi":"openapi/zeal-api.json post /employee-deduction-templates","href":"/reference/employee-deduction-templates/create-employee-deduction-template"},{"title":"List Employee Deduction Templates","sidebarTitle":"List Employee Deduction Templates","openapi":"openapi/zeal-api.json get /employee-deduction-templates","href":"/reference/employee-deduction-templates/list-employee-deduction-templates"},{"title":"Get Employee Deduction Template","sidebarTitle":"Get Employee Deduction Template","openapi":"openapi/zeal-api.json get /employee-deduction-templates/{deductionTemplateID}","href":"/reference/employee-deduction-templates/get-employee-deduction-template"},{"title":"Update Employee Deduction Template","sidebarTitle":"Update Employee Deduction Template","openapi":"openapi/zeal-api.json patch /employee-deduction-templates/{deductionTemplateID}","href":"/reference/employee-deduction-templates/update-employee-deduction-template"},{"title":"Delete Employee Deduction Template","sidebarTitle":"Delete Employee Deduction Template","openapi":"openapi/zeal-api.json delete /employee-deduction-templates/{deductionTemplateID}","href":"/reference/employee-deduction-templates/delete-employee-deduction-template"}]},{"group":"Garnishments","pages":[{"title":"Garnishment Object","sidebarTitle":"Garnishment Object","href":"/reference/garnishments/garnishment-object"},{"title":"Create Garnishment","sidebarTitle":"Create Garnishment","openapi":"openapi/zeal-api.json post /garnishments","href":"/reference/garnishments/create-garnishment"},{"title":"Get Garnishments","sidebarTitle":"Get Garnishments","openapi":"openapi/zeal-api.json get /garnishments","href":"/reference/garnishments/list-garnishments"},{"title":"Get Garnishment","sidebarTitle":"Get Garnishment","openapi":"openapi/zeal-api.json get /garnishments/{garnishmentID}","href":"/reference/garnishments/get-garnishment"},{"title":"Update Garnishment","sidebarTitle":"Update Garnishment","openapi":"openapi/zeal-api.json patch /garnishments/{garnishmentID}","href":"/reference/garnishments/update-garnishment"}]},{"group":"Employee Onboarding","pages":[{"title":"Create Account Setup Link","sidebarTitle":"Create Account Setup Link","openapi":"openapi/zeal-api.json post /employees/account_information","href":"/reference/employee-onboarding/create-account-setup-link"},{"title":"Create Paycard Enrollment Link (Early Access)","sidebarTitle":"Create Paycard Enrollment Link (Early Access)","openapi":"openapi/zeal-api.json post /employees/paycard","href":"/reference/employee-onboarding/create-paycard-enrollment-link"},{"title":"Generate Employee Onboarding Link","sidebarTitle":"Generate Employee Onboarding Link","openapi":"openapi/zeal-api.json post /employees/onboard","href":"/reference/employee-onboarding/generate-employee-onboarding-link"},{"title":"Send Employee Onboarding Link","sidebarTitle":"Send Employee Onboarding Link","openapi":"openapi/zeal-api.json post /sendLink","href":"/reference/employee-onboarding/send-employee-onboarding-link"},{"title":"Generate Employee Tax Parameter Definitions","sidebarTitle":"Generate Employee Tax Parameter Definitions","openapi":"openapi/zeal-api.json post /employees/getTaxParameterDefinitions","href":"/reference/employee-onboarding/generate-employee-tax-parameter-definitions"},{"title":"Get Employee Tax Parameter Summary","sidebarTitle":"Get Employee Tax Parameter Summary","openapi":"openapi/zeal-api.json post /employees/getTaxParameterSummary","href":"/reference/employee-onboarding/get-employee-tax-parameter-summary"},{"title":"Set Employee Tax Parameters","sidebarTitle":"Set Employee Tax Parameters","openapi":"openapi/zeal-api.json post /employees/setTaxParameters","href":"/reference/employee-onboarding/set-employee-tax-parameters"},{"title":"Set Onboarded Status to True","sidebarTitle":"Set Onboarded Status to True","openapi":"openapi/zeal-api.json post /employees/setOnboardedStatusToTrue","href":"/reference/employee-onboarding/set-onboarded-status-to-true"},{"title":"Get Employee Requirements","sidebarTitle":"Get Employee Requirements","openapi":"openapi/zeal-api.json get /employeeRequirements","href":"/reference/employee-onboarding/get-employee-requirements"},{"title":"Get Employee Requirements Link","sidebarTitle":"Get Employee Requirements Link","openapi":"openapi/zeal-api.json get /employeeRequirements/link","href":"/reference/employee-onboarding/get-employee-requirements-link"},{"title":"Get I9 Status (Early Access)","sidebarTitle":"Get I9 Status (Early Access)","openapi":"openapi/zeal-api.json get /employees/getI9Status","href":"/reference/employee-onboarding/get-i9-status"},{"title":"Create I9 Link (Early Access)","sidebarTitle":"Create I9 Link (Early Access)","openapi":"openapi/zeal-api.json post /employees/i9","href":"/reference/employee-onboarding/create-i9-link"},{"title":"Upload Employee Government ID","sidebarTitle":"Upload Employee Government ID","openapi":"openapi/zeal-api.json post /employees/id","href":"/reference/employee-onboarding/upload-employee-government-id"},{"title":"Create W4 Link","sidebarTitle":"Create W4 Link","openapi":"openapi/zeal-api.json post /employees/w4","href":"/reference/employee-onboarding/create-w4-link"},{"title":"Create Custom Paperwork Link (Early Access)","sidebarTitle":"Create Custom Paperwork Link (Early Access)","openapi":"openapi/zeal-api.json post /employees/custom_paperwork","href":"/reference/employee-onboarding/create-custom-paperwork-link"},{"title":"Create Profile Information Collection Link","sidebarTitle":"Create Profile Information Collection Link","openapi":"openapi/zeal-api.json post /employees/profile_information","href":"/reference/employee-onboarding/create-profile-information-collection-link"},{"title":"Create Instant Pay Employee Enrollment Link","sidebarTitle":"Create Instant Pay Employee Enrollment Link","openapi":"openapi/zeal-api.json post /employees/instant-pay","href":"/reference/employee-onboarding/create-instant-pay-enrollment-link"},{"title":"Create Bank Account Collection Link","sidebarTitle":"Create Bank Account Collection Link","openapi":"openapi/zeal-api.json post /employees/bank_information","href":"/reference/employee-onboarding/create-bank-account-collection-link"},{"title":"Create Employee ID Upload Link","sidebarTitle":"Create Employee ID Upload Link","openapi":"openapi/zeal-api.json post /employees/id_upload_link","href":"/reference/employee-onboarding/create-employee-id-upload-link"}]},{"group":"Bank Accounts","pages":[{"title":"Bank Account Object","sidebarTitle":"Bank Account Object","href":"/reference/bank-accounts/bank-account-object"},{"title":"Get Bank Account by ID","sidebarTitle":"Get Bank Account by ID","openapi":"openapi/zeal-api.json get /bankaccount","href":"/reference/bank-accounts/get-bank-account-by-id"},{"title":"Get Bank Accounts by Worker ID","sidebarTitle":"Get Bank Accounts by Worker ID","openapi":"openapi/zeal-api.json get /bankaccount/","href":"/reference/bank-accounts/get-bank-accounts-by-worker-id"},{"title":"Create Bank Account","sidebarTitle":"Create Bank Account","openapi":"openapi/zeal-api.json post /bankaccount","href":"/reference/bank-accounts/create-bank-account"},{"title":"Update Bank Account","sidebarTitle":"Update Bank Account","openapi":"openapi/zeal-api.json patch /bankaccount","href":"/reference/bank-accounts/update-bank-account"}]},{"group":"Custom Attributes","pages":[{"title":"Custom Attribute Object","sidebarTitle":"Custom Attribute Object","href":"/reference/custom-attributes/custom-attribute-object"},{"title":"Get Attributes","sidebarTitle":"Get Attributes","openapi":"openapi/zeal-api.json get /attributes","href":"/reference/custom-attributes/get-attributes"},{"title":"Set Attribute Value","sidebarTitle":"Set Attribute Value","openapi":"openapi/zeal-api.json patch /attributes","href":"/reference/custom-attributes/set-attribute-value"}]},{"group":"Paperwork API","pages":[{"title":"Paperwork Template Object","sidebarTitle":"Paperwork Template Object","href":"/reference/paperwork-api/paperwork-template-object"},{"title":"Get Paperwork Templates","sidebarTitle":"Get Paperwork Templates","openapi":"openapi/zeal-api.json post /paperwork/templates","href":"/reference/paperwork-api/get-paperwork-templates"},{"title":"Get Paperwork Template by ID","sidebarTitle":"Get Paperwork Template by ID","openapi":"openapi/zeal-api.json get /paperwork/templates/{templateID}","href":"/reference/paperwork-api/get-paperwork-template-by-id"},{"title":"Paperwork Submission Object","sidebarTitle":"Paperwork Submission Object","href":"/reference/paperwork-api/paperwork-submission-object"},{"title":"Get paperwork submissions","sidebarTitle":"Get paperwork submissions","openapi":"openapi/zeal-api.json post /paperwork/submissions","href":"/reference/paperwork-api/get-paperwork-submissions"},{"title":"Get a specific paperwork submission","sidebarTitle":"Get a specific paperwork submission","openapi":"openapi/zeal-api.json get /paperwork/submissions/{submissionID}","href":"/reference/paperwork-api/get-specific-paperwork-submission"},{"title":"Create a paperwork submission","sidebarTitle":"Create a paperwork submission","openapi":"openapi/zeal-api.json put /paperwork/submissions","href":"/reference/paperwork-api/create-paperwork-submission"}]},{"group":"Employee Checks","pages":[{"group":"Reporting Periods","pages":[{"title":"Reporting Period Object","sidebarTitle":"Reporting Period Object","href":"/reference/employee-checks/reporting-periods/reporting-period-object"},{"title":"Get Reporting Period by ID","sidebarTitle":"Get Reporting Period by ID","openapi":"openapi/employee-checks.json get /reportingPeriod","href":"/reference/employee-checks/reporting-periods/get-reporting-period-by-id"},{"title":"Get Reporting Period by Date Range","sidebarTitle":"Get Reporting Period by Date Range","openapi":"openapi/employee-checks.json get /reportingPeriod","href":"/reference/employee-checks/reporting-periods/get-reporting-period-by-date-range"},{"title":"Get All Reporting Periods","sidebarTitle":"Get All Reporting Periods","openapi":"openapi/employee-checks.json get /reportingPeriod/","href":"/reference/employee-checks/reporting-periods/get-all-reporting-periods"}]},{"group":"Employee Checks","pages":[{"title":"Employee Check Object","sidebarTitle":"Employee Check Object","href":"/reference/employee-checks/employee-checks/employee-check-object"},{"title":"Create Employee Check","sidebarTitle":"Create Employee Check","openapi":"openapi/employee-checks.json post /employeeCheck","href":"/reference/employee-checks/employee-checks/create-employee-check"},{"title":"Create Bulk Employee Checks","sidebarTitle":"Create Bulk Employee Checks","openapi":"openapi/zeal-api.json post /employeeChecks","href":"/reference/employee-checks/employee-checks/create-bulk-employee-checks"},{"title":"Get Employee Checks by Employee","sidebarTitle":"Get Employee Checks by Employee","openapi":"openapi/employee-checks.json get /employeeCheck","href":"/reference/employee-checks/employee-checks/get-employee-checks-by-employee"},{"title":"Get Employee Check by ID","sidebarTitle":"Get Employee Check by ID","openapi":"openapi/zeal-api.json get /employeeCheck","href":"/reference/employee-checks/employee-checks/get-employee-check-by-id"},{"title":"Update Employee Check","sidebarTitle":"Update Employee Check","openapi":"openapi/employee-checks.json patch /employeeCheck","href":"/reference/employee-checks/employee-checks/update-employee-check"},{"title":"Delete Employee Check","sidebarTitle":"Delete Employee Check","openapi":"openapi/employee-checks.json delete /employeeCheck","href":"/reference/employee-checks/employee-checks/delete-employee-check"},{"title":"Download Paystub PDF","sidebarTitle":"Download Paystub PDF","openapi":"openapi/zeal-api.json get /paystub/company/{companyID}/check/{employeeCheckID}","href":"/reference/employee-checks/employee-checks/download-paystub-pdf"}]},{"group":"Deductions","pages":[{"title":"Deduction Template Definition Object","sidebarTitle":"Deduction Template Definition Object","href":"/reference/employee-checks/deductions/deduction-template-definition-object"},{"title":"Deduction Template Object","sidebarTitle":"Deduction Template Object","href":"/reference/employee-checks/deductions/deduction-template-object"},{"title":"Deduction Object","sidebarTitle":"Deduction Object","href":"/reference/employee-checks/deductions/deduction-object"},{"title":"Types of Deductions","sidebarTitle":"Types of Deductions","href":"/reference/employee-checks/deductions/types-of-deductions"},{"title":"Get Deduction Template Definitions","sidebarTitle":"Get Deduction Template Definitions","openapi":"openapi/employee-checks.json get /deductionTemplateDefinitions","href":"/reference/employee-checks/deductions/get-deduction-template-definitions"},{"title":"Create Deduction Template","sidebarTitle":"Create Deduction Template","openapi":"openapi/employee-checks.json post /deductionTemplate","href":"/reference/employee-checks/deductions/create-deduction-template"},{"title":"Get Deduction Template","sidebarTitle":"Get Deduction Template","openapi":"openapi/employee-checks.json get /deductionTemplate","href":"/reference/employee-checks/deductions/get-deduction-template"},{"title":"Create Deduction","sidebarTitle":"Create Deduction","openapi":"openapi/employee-checks.json post /deductions","href":"/reference/employee-checks/deductions/create-deduction"},{"title":"Get Deduction","sidebarTitle":"Get Deduction","openapi":"openapi/employee-checks.json get /deductions","href":"/reference/employee-checks/deductions/get-deduction"},{"title":"Update Deduction","sidebarTitle":"Update Deduction","openapi":"openapi/employee-checks.json patch /deductions","href":"/reference/employee-checks/deductions/update-deduction"},{"title":"Delete Deduction","sidebarTitle":"Delete Deduction","openapi":"openapi/employee-checks.json delete /deductions","href":"/reference/employee-checks/deductions/delete-deduction"}]},{"group":"Shifts","pages":[{"title":"Shift Object","sidebarTitle":"Shift Object","href":"/reference/employee-checks/shifts/shift-object"},{"title":"Add Shifts to Existing Check","sidebarTitle":"Add Shifts to Existing Check","openapi":"openapi/employee-checks.json post /shifts","href":"/reference/employee-checks/shifts/add-shifts-to-check"},{"title":"Get Shift Information","sidebarTitle":"Get Shift Information","openapi":"openapi/employee-checks.json get /shifts","href":"/reference/employee-checks/shifts/get-shift-information"},{"title":"Update Pending Shifts","sidebarTitle":"Update Pending Shifts","openapi":"openapi/employee-checks.json patch /shifts","href":"/reference/employee-checks/shifts/update-pending-shifts"},{"title":"Delete Pending Shifts","sidebarTitle":"Delete Pending Shifts","openapi":"openapi/employee-checks.json delete /shifts","href":"/reference/employee-checks/shifts/delete-pending-shifts"}]},{"group":"Payroll Run","pages":[{"title":"Get Upcoming Regular Payroll","sidebarTitle":"Get Upcoming Regular Payroll","openapi":"openapi/employee-checks.json get /payroll/regular","href":"/reference/employee-checks/payroll-run/get-upcoming-regular-payroll"}]}]},{"group":"Contractors","pages":[{"title":"Contractor Object","sidebarTitle":"Contractor Object","href":"/reference/contractors/contractor-object"},{"title":"Create Contractor","sidebarTitle":"Create Contractor","openapi":"openapi/zeal-api.json post /contractors","href":"/reference/contractors/create-contractor"},{"title":"Update Contractor Information","sidebarTitle":"Update Contractor Information","openapi":"openapi/zeal-api.json patch /contractors","href":"/reference/contractors/update-contractor-information"},{"title":"Get Contractors","sidebarTitle":"Get Contractors","openapi":"openapi/zeal-api.json get /contractors","href":"/reference/contractors/get-contractors"},{"title":"Get Contractor Information","sidebarTitle":"Get Contractor Information","openapi":"openapi/zeal-api.json get /contractors","href":"/reference/contractors/get-contractor-information"},{"title":"Upload Contractor Government ID","sidebarTitle":"Upload Contractor Government ID","openapi":"openapi/zeal-api.json post /contractors/id","href":"/reference/contractors/upload-contractor-government-id"},{"title":"Create Available Pay Enrollment Link","sidebarTitle":"Create Available Pay Enrollment Link","openapi":"openapi/zeal-api.json post /contractors/available_pay","hidden":true,"href":"/reference/contractors/create-available-pay-enrollment-link"}]},{"group":"Contractor Onboarding","pages":[{"title":"Create Paycard Enrollment Link (Early Access)","sidebarTitle":"Create Paycard Enrollment Link (Early Access)","openapi":"openapi/zeal-api.json post /contractors/paycard","href":"/reference/contractor-onboarding/create-paycard-enrollment-link"},{"title":"Generate Contractor Onboarding Link","sidebarTitle":"Generate Contractor Onboarding Link","openapi":"openapi/zeal-api.json post /contractors/onboard","href":"/reference/contractor-onboarding/generate-contractor-onboarding-link"},{"title":"Send Contractor Onboarding Link","sidebarTitle":"Send Contractor Onboarding Link","openapi":"openapi/zeal-api.json post /sendContractorLink","href":"/reference/contractor-onboarding/send-contractor-onboarding-link"},{"title":"Set Onboarded Status to True","sidebarTitle":"Set Onboarded Status to True","openapi":"openapi/zeal-api.json post /contractors/setOnboardedStatusToTrue","href":"/reference/contractor-onboarding/set-onboarded-status-to-true"},{"title":"Create Instant Pay Contractor Enrollment Link","sidebarTitle":"Create Instant Pay Contractor Enrollment Link","openapi":"openapi/zeal-api.json post /contractors/instant-pay","href":"/reference/contractor-onboarding/create-instant-pay-enrollment-link"},{"title":"Create Contractor ID Upload Link","sidebarTitle":"Create Contractor ID Upload Link","openapi":"openapi/zeal-api.json post /contractors/id_upload_link","href":"/reference/contractor-onboarding/create-contractor-id-verification-link"}]},{"group":"Contractor Payment Deductions","pages":[{"title":"Create Contractor Deduction Template","sidebarTitle":"Create Contractor Deduction Template","openapi":"openapi/zeal-api.json post /contractor-deduction-templates","href":"/reference/contractor-deduction-templates/create-contractor-deduction-template"},{"title":"Get Contractor Deduction Templates","sidebarTitle":"Get Contractor Deduction Templates","openapi":"openapi/zeal-api.json get /contractor-deduction-templates","href":"/reference/contractor-deduction-templates/get-contractor-deduction-templates"},{"title":"Update Contractor Deduction Template","sidebarTitle":"Update Contractor Deduction Template","openapi":"openapi/zeal-api.json patch /contractor-deduction-templates","href":"/reference/contractor-deduction-templates/update-contractor-deduction-template"},{"title":"Delete Contractor Deduction Template","sidebarTitle":"Delete Contractor Deduction Template","openapi":"openapi/zeal-api.json delete /contractor-deduction-templates","href":"/reference/contractor-deduction-templates/delete-contractor-deduction-template"}]},{"group":"Payment Items","pages":[{"title":"Payment Item Object","sidebarTitle":"Payment Item Object","href":"/reference/payment-items/payment-item-object"},{"title":"Create Payment Item","sidebarTitle":"Create Payment Item","openapi":"openapi/zeal-api.json post /payment-items","href":"/reference/payment-items/create-payment-item"},{"title":"Get Payment Items","sidebarTitle":"Get Payment Items","openapi":"openapi/zeal-api.json get /payment-items","href":"/reference/payment-items/get-payment-items"},{"title":"Update Payment Item","sidebarTitle":"Update Payment Item","openapi":"openapi/zeal-api.json patch /payment-items","href":"/reference/payment-items/update-payment-item"},{"title":"Delete Payment Item","sidebarTitle":"Delete Payment Item","openapi":"openapi/zeal-api.json delete /payment-items","href":"/reference/payment-items/delete-payment-item"}]},{"group":"Contractor Payments","pages":[{"title":"Contractor Payment Object","sidebarTitle":"Contractor Payment Object","href":"/reference/contractor-payments/contractor-payment-object"},{"title":"Create Contractor Payment","sidebarTitle":"Create Contractor Payment","openapi":"openapi/zeal-api.json post /contractorPayment","href":"/reference/contractor-payments/create-contractor-payment"},{"title":"Get Contractor Payments","sidebarTitle":"Get Contractor Payments","openapi":"openapi/zeal-api.json get /contractorPayment","href":"/reference/contractor-payments/get-contractor-payments"},{"title":"Update Contractor Payment","sidebarTitle":"Update Contractor Payment","openapi":"openapi/zeal-api.json patch /contractorPayment","href":"/reference/contractor-payments/update-contractor-payment"},{"title":"Delete Contractor Payment","sidebarTitle":"Delete Contractor Payment","openapi":"openapi/zeal-api.json delete /contractorPayment","href":"/reference/contractor-payments/delete-contractor-payment"},{"title":"Trigger Disbursement","sidebarTitle":"Trigger Disbursement","openapi":"openapi/zeal-api.json post /contractorPayment/trigger","href":"/reference/contractor-payments/trigger-disbursement"}]},{"group":"Paycards","pages":[{"title":"Paycard Object","sidebarTitle":"Paycard Object","href":"/reference/paycards/paycard-object"},{"title":"Get Paycards","sidebarTitle":"Get Paycards","openapi":"openapi/zeal-api.json get /paycards","href":"/reference/paycards/get-paycards"}]},{"group":"Instant Pay","pages":[{"title":"Card Object","sidebarTitle":"Card Object","href":"/reference/wallet/card-object"},{"title":"Wallet Transaction Object","sidebarTitle":"Wallet Transaction Object","href":"/reference/wallet/wallet-transaction-object"},{"title":"Get Wallet Balance","sidebarTitle":"Get Wallet Balance","openapi":"openapi/zeal-api.json get /wallet","href":"/reference/wallet/get-wallet-balance"},{"title":"Get Wallet Transactions","sidebarTitle":"Get Wallet Transactions","openapi":"openapi/zeal-api.json get /wallet/transactions","href":"/reference/wallet/get-wallet-transactions"},{"title":"Transfer Funds","sidebarTitle":"Transfer Funds","openapi":"openapi/zeal-api.json post /wallet/transfer","href":"/reference/wallet/transfer-funds"},{"title":"Get Card","sidebarTitle":"Get Card","openapi":"openapi/zeal-api.json get /card","href":"/reference/wallet/get-card"}]},{"group":"Employer Checks","pages":[{"title":"Employer Check Object","sidebarTitle":"Employer Check Object","href":"/reference/employer-checks/employer-check-object"},{"title":"Employer CheckID Object","sidebarTitle":"Employer CheckID Object","href":"/reference/employer-checks/employer-checkid-object"},{"title":"Get Employer Check by ID","sidebarTitle":"Get Employer Check by ID","openapi":"openapi/zeal-api.json get /employerCheck","href":"/reference/employer-checks/get-employer-check-by-id"}]},{"group":"Preview","pages":[{"title":"Get Preview","sidebarTitle":"Get Preview","openapi":"openapi/zeal-api.json get /preview","href":"/reference/preview/get-preview"},{"title":"Preview Check Data","sidebarTitle":"Preview Check Data","openapi":"openapi/zeal-api.json post /preview/checkData","href":"/reference/preview/preview-check-data"},{"title":"Preview Payroll by Check Date","sidebarTitle":"Preview Payroll by Check Date","openapi":"openapi/zeal-api.json post /preview/checkDate","href":"/reference/preview/preview-payroll-by-check-date"},{"title":"Preview Payroll by Check IDs","sidebarTitle":"Preview Payroll by Check IDs","openapi":"openapi/zeal-api.json post /preview/checks","href":"/reference/preview/preview-payroll-by-check-ids"},{"title":"Preview Overtime Checks","sidebarTitle":"Preview Overtime Checks","openapi":"openapi/zeal-api.json post /preview/checks/ot","href":"/reference/preview/preview-overtime-checks"},{"title":"Get Next Available Check/Pay Date","sidebarTitle":"Get Next Available Check/Pay Date","openapi":"openapi/zeal-api.json get /preview/availableDate","href":"/reference/preview/get-preview-available-date"}]},{"group":"Embedded HR","pages":[{"title":"Accrual Policy Object","sidebarTitle":"Accrual Policy Object","href":"/reference/embedded-hr/accrual-policy-object"},{"title":"Create Accrual Policy","sidebarTitle":"Create Accrual Policy","openapi":"openapi/zeal-api.json post /accrualPolicy","href":"/reference/embedded-hr/create-accrual-policy"},{"title":"Get Accrual Policy","sidebarTitle":"Get Accrual Policy","openapi":"openapi/zeal-api.json get /accrualPolicy","href":"/reference/embedded-hr/get-accrual-policy"},{"title":"Update Accrual Policy","sidebarTitle":"Update Accrual Policy","openapi":"openapi/zeal-api.json patch /accrualPolicy","href":"/reference/embedded-hr/update-accrual-policy"},{"title":"Get Accrual Balance","sidebarTitle":"Get Accrual Balance","openapi":"openapi/zeal-api.json get /accrualBalance","href":"/reference/embedded-hr/get-accrual-balance"},{"title":"Update Accrual Balance","sidebarTitle":"Update Accrual Balance","openapi":"openapi/zeal-api.json patch /accrualBalance","href":"/reference/embedded-hr/update-accrual-balance"},{"title":"Accrual Balance History","sidebarTitle":"Accrual Balance History","openapi":"openapi/zeal-api.json post /accrualBalance/history","href":"/reference/embedded-hr/accrual-balance-history"},{"title":"Add/Remove Employees to Accrual Policy","sidebarTitle":"Add/Remove Employees to Accrual Policy","openapi":"openapi/zeal-api.json post /accrualPolicyEmployees","href":"/reference/embedded-hr/add-employees-to-accrual-policy"},{"title":"Create Accrual Policy Usage","sidebarTitle":"Create Accrual Policy Usage","openapi":"openapi/zeal-api.json post /accrualPolicy/{policyCode}/usage","href":"/reference/embedded-hr/create-accrual-policy-usage"},{"title":"Get Sick Time Compliance Rules","sidebarTitle":"Get Sick Time Compliance Rules","openapi":"openapi/zeal-api.json get /sickTimeCompliance","href":"/reference/embedded-hr/get-sick-time-compliance-rules"},{"title":"Get Minimum Wage Rules","sidebarTitle":"Get Minimum Wage Rules","openapi":"openapi/zeal-api.json get /minimumWageRules","href":"/reference/embedded-hr/get-minimum-wage-rules"}]},{"group":"Reports","pages":[{"title":"Create Labor Allocation Report","sidebarTitle":"Create Labor Allocation Report","openapi":"openapi/zeal-api.json post /reports/labor-allocation","href":"/reference/reports/create-labor-allocation-report"},{"title":"Create Deduction Summary Report","sidebarTitle":"Create Deduction Summary Report","openapi":"openapi/zeal-api.json post /reports/deductions-summary","href":"/reference/reports/create-deduction-summary-report"},{"title":"Create Payroll Journal Report","sidebarTitle":"Create Payroll Journal Report","openapi":"openapi/zeal-api.json post /reports/payroll-journal","href":"/reference/reports/create-payroll-journal-report"},{"title":"Create Custom Payroll Journal Report","sidebarTitle":"Create Custom Payroll Journal Report","openapi":"openapi/zeal-api.json post /reports/custom-payroll-journal","href":"/reference/reports/create-custom-payroll-journal-report"},{"title":"Create Worker Summary Report","sidebarTitle":"Create Worker Summary Report","openapi":"openapi/zeal-api.json post /reports/worker-summary","href":"/reference/reports/create-worker-summary-report"},{"title":"Create Cash Requirements Report","sidebarTitle":"Create Cash Requirements Report","openapi":"openapi/zeal-api.json post /reports/cash-requirements","href":"/reference/reports/create-cash-requirements-report"},{"title":"Create Payment Summary Report","sidebarTitle":"Create Payment Summary Report","openapi":"openapi/zeal-api.json post /reports/payment-summary","href":"/reference/reports/create-payment-summary-report"},{"title":"Create Paystub Report","sidebarTitle":"Create Paystub Report","openapi":"openapi/zeal-api.json post /reports/paystub","href":"/reference/reports/create-paystub-report"},{"title":"Create Year to Date Report","sidebarTitle":"Create Year to Date Report","openapi":"openapi/zeal-api.json post /reports/ytd","href":"/reference/reports/create-year-to-date-report"},{"title":"Create Quarter to Date Report","sidebarTitle":"Create Quarter to Date Report","openapi":"openapi/zeal-api.json post /reports/qtd","href":"/reference/reports/create-quarter-to-date-report"},{"title":"Create KYC Summary Report","sidebarTitle":"Create KYC Summary Report","openapi":"openapi/zeal-api.json post /reports/kyc-summary","href":"/reference/reports/create-kyc-summary-report"},{"title":"Get Job Status","sidebarTitle":"Get Job Status","openapi":"openapi/zeal-api.json get /reports","href":"/reference/reports/get-job-status"},{"title":"Get Report Download","sidebarTitle":"Get Report Download","openapi":"openapi/zeal-api.json get /reports/downloads","href":"/reference/reports/get-report-download"}]},{"group":"Documents","pages":[{"title":"The Document Object","sidebarTitle":"The Document Object","href":"/reference/documents/the-document-object"},{"title":"Get Documents","sidebarTitle":"Get Documents","openapi":"openapi/zeal-api.json get /documents","href":"/reference/documents/get-documents"}]}]}]},"title":"Employee Event - Zeal Docs","buildId":"dpl_9DauxEjb9gzCtcuhPQFbquJvx7FJ","deploymentId":"dpl_9DauxEjb9gzCtcuhPQFbquJvx7FJ","dynamics":[],"chunks":[]}